package elaimet;

/**
 * Elain-luokka.  Kantaluokka eläimille.
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class Kissa {
    private String nimi;
    private double paino;

    /**
     * Eläimen alustus
     * @param nimi eläimen nimi
     * @param paino eläimen paino g
     */
    public Kissa(String nimi, double paino) {
        this.nimi = nimi;
        this.paino = paino;
    }


    /**
     * Eläimen ääntely
     */
    public void aantele() {
        System.out.println("Miauuu");
    }


    /**
     * @return eläimen tiedot muodossa "Miuku 18000"
     */
    @Override
    public String toString() {
        return nimi + " " + paino;
    }
    
    /**
     * Testataan Kissa-luokkaa
     * @param args ei käytössä
     */
    public static void main(String[] args) {

        Kissa miuku = new Kissa("Miuku", 18000);
        miuku.aantele();
        System.out.println(miuku);

        Kissa mirri = new Kissa("Mirri", 930);
        mirri.aantele();
        System.out.println(mirri.toString());
    }    
    
}
