package elaimet;

/**
 * Elain-luokka.  Kantaluokka eläimille.
 * @author Vesa Lappalainen
 * @version 1.0, 06.02.2003
 *
*/
public class Koira {
    private String nimi;
    private double paino;

    /**
     * Eläimen alustus
     * @param nimi eläimen nimi
     * @param paino eläimen paino g
     */
    public Koira(String nimi, double paino) {
        this.nimi = nimi;
        this.paino = paino;
    }


    /**
     * Eläimen ääntely
     */
    public void aantele() {
        System.out.println("Wuff");
    }


    /**
     * @return eläimen tiedot muodossa "Miuku 18000"
     */
    @Override
    public String toString() {
        return nimi + " " + paino;
    }
    
    /**
     * Testataan Kissa-luokkaa
     * @param args ei käytössä
     */
    public static void main(String[] args) {

        Koira musti = new Koira("Musti", 12000);
        musti.aantele();
        System.out.println(musti);

    }    
    
}
