package fxAanestysRB;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author vesal
 * @version 5.2.2024
 *
 */
public class AanestysMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("AanestysGUIView.fxml"));
            final Pane root = ldr.load();
            //final AanestysGUIController aanestysCtrl = (AanestysGUIController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("aanestys.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("Äänestys");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei kaytossa
     */
    public static void main(String[] args) {
        launch(args);
    }
}