package cmdAanestys;

import fi.jyu.mit.ohj2.IO;
/**
 * Esimerkki kuinka luetaan yhden näppäimen painallus<br>
 * <br>
 * Kirjaston käyttöohje katso:
 * <a href="http://www.mit.jyu.fi/~vesal/kurssit/ohj2/ali/">ali</a><br>
 * <br>
 * Lisätehtävä pääteohjauksen 5 aluksi:
 *<pre>
 * Tehtäviä:
 *   1)  Muuta ohjelma sellaiseksi, että se kysyy
 *         Oletko Tyttö,Poika,Mies vaiko Nainen (tpmN) >
 *       ja tulostaa sen jälkeen sopivan ilmoituksen tästä.
 *
 *   2)  Muuta ohjelmaa edelleen siten, että se ohjelman
 *       lopuksi ilmoittaa montako tyttöä/poikaa/miestä/naista
 *       vastattiin. (Voi tulostaa myös koko ajan sen hetkistä
 *       tpmn -lukumäärää)
 *</pre>
 * @author Vesa Lappalainen
 * @version 1.0, 12.02.2003
 *
*/
public class Aanestys {

  /**
   * Tulostetaan jono ilman rivinvaihtoa
   * @param s Tulostettava merkkkijono
   */
  public static void tulosta(String s) { System.out.print(s); }

  /** Tulostetaan rivinvaihto */
  public static void lf() { System.out.println(); }

  /**
   * Kysytään käyttäjältä haluaako jatkaa vai ei.  Vastaukseksi kelpaa
   * iso tai pieni K ja E.  Jos painetaan [Ret], tulkitaan tämä K-vastaukseksi.
   * @return halusiko jatkaa (true) vai ei (false)
   */
  public static boolean jatketaan() {
    char c;
    tulosta("Jatketaanko (K/e):");
    c = IO.odota_nappain("KE",'K',IO.MERKKI_ISOKSI);
    tulosta(""+c);
    return ( c == 'K' );
  }

  private static void aanesysvalinta() {
    lf(); lf();
    tulosta("Onko ohjelmointi kivaa?"); lf();
    lf();
    tulosta("Valitse:");                lf();
    tulosta("  K = Kyllä");             lf();
    tulosta("  E = Ei");                lf();
    tulosta("  O = En Osaa sanoa");     lf();
    tulosta(" :");
  }

  /**
   * Kysellään äänestystulosta
   * @param args ei käytössä
   */
  public static void main(String[] args) {
    char painettu;
    do {
      aanesysvalinta();
      painettu = IO.odota_nappain("KEO",'K',IO.MERKKI_ISOKSI);

      tulosta(""+painettu); lf();
      tulosta("Äänestit siis ");

      switch ( painettu ) {
        case 'K' : tulosta("Kyllä");         break;
        case 'E' : tulosta("Ei")   ;         break;
        case 'O' : tulosta("En osaa sanoa"); break;
        default: break;
      }

      lf();

    } while ( jatketaan() );

    lf();
    tulosta("Kiitos vastauksista!  Hei hei!"); lf();
  }
}