package lumiukkoCmd;

import fi.jyu.mit.graphics.EasyWindow;

/**
 * Piirretään lumiukkoja
 * @author vesal
 * @version 14.9.2008
 */
public class Lumiukot {

    /**
     * Piirretään lumiukko valittuun paikkaan
     * @param window ikkuna johon piirretään
     * @param x ukon alapallon x-koordinaatti
     * @param y ukon alapallon y-koordinaatti
     */
    public static void lumiukko(EasyWindow window, double x, double y) {
        window.addCircle(x,y-2*15-20-10,10);
        window.addCircle(x,y-15-20,15);
        window.addCircle(x,y,20);
    }
    

    /**
     * Piirretään pari lumiukkoa
     * @param args ei käytössä
     */
    public static void main(String[] args) {
        EasyWindow window = new EasyWindow();
        lumiukko(window,20,80);
        lumiukko(window,70,90);
    }

}