#include <iostream>
using namespace std;

class Taulukko3 {
	int lkm;
	int maxkoko;
	int **alkiot;
	Taulukko3(const Taulukko3 &t) =delete;
	void operator=(const Taulukko3 &t) =delete;

public:
    Taulukko3(int maxkoko) : lkm{0}, maxkoko{maxkoko} {
		alkiot = new int*[maxkoko];
	}

	virtual ~Taulukko3() {
		for (int i=0; i<lkm; i++)
			delete alkiot[i];
		delete[] alkiot;
	}

	virtual void lisaa(int uusi) {
		if ( lkm >= maxkoko ) return;
		alkiot[lkm++] = new int(uusi);
	}

	virtual ostream& tulosta(ostream &out) const;
};


ostream& Taulukko3::tulosta(ostream &out) const
{
	for (int i=0; i<lkm; i++)
		out << *(alkiot[i]) << " ";
	return out;
}


ostream& operator<<(ostream &out, const Taulukko3 &t)
{
	return t.tulosta(out);
}


int summa(const Taulukko3 &t)
{
   return 4;
}


int main3()
{
	Taulukko3 luvut(5);
	luvut.lisaa(2001);
	luvut.lisaa(22);
	// luvut.tulosta(cout);
	cout << luvut << endl;
	// int a =  luvut[0];
	// luvut[0] = 55;
	/*
	{
	  Taulukko3 t(luvut);
	  cout << t << endl;
	}
	 */
    /*
	{
	  Taulukko3 t;
	  t = luvut;
	  cout << t << endl;
	}
	 */
	 summa(luvut);

	cout << luvut << endl;


	return 0;
}
