package fxKerho;

import fi.jyu.mit.fxgui.Dialogs;
import fi.jyu.mit.fxgui.ModalController;
import javafx.fxml.FXML;

/**
 * @author vesal
 * @version 31.12.2015
 * Luokka käyttöliittymän tapahtumien hoitamiseksi
 */
public class KerhoGUIController {

    /**
     * Käsitellään uuden jäsenen lisääminen
     */
    @FXML private void handleUusiJasen() {
        // Dialogs.showMessageDialog("Ei osata vielä lisätä");
        // Dialogs.showMessageDialog("Tiedosto kelmit/nimet.dat ei aukea");
        Dialogs.showQuestionDialog("Poisto?", "Poistetaanko jäsen: Hopo Hessu", "Kyllä", "Ei");
    }

    @FXML private void handleMuokkaaJasen() {
        // TODO: vaihe 5-7
        ModalController.showModal(KerhoGUIController.class.getResource("JasenDialogView.fxml"), "Jäsen", null, "");
    }
    
    
    
    private void lueTiedosto(String nimi) {
        // kerhonnimi = nimi;
        // setTitle("Kerho - " + nimi);
        String virhe = "Ei osata lukea vielä " + nimi;  // TODO: tähän oikea tiedoston lukeminen
        // if (virhe != null) 
            Dialogs.showMessageDialog(virhe);
    }
    
    
    /**
     * @return true jos avattin false jos painettiin Cancel
     */
    public boolean avaa() {
        String uusinimi = KerhonNimiController.kysyNimi(null, "kelmit");
        if (uusinimi == null) return false;
        lueTiedosto(uusinimi);
        return true;
    }



}
