package fxKerho;
	
import javafx.application.Application;
import javafx.application.Platform;
import javafx.stage.Stage;
import kerho.Kerho;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;

/**
 * @author vesal
 * @version 31.12.2015
 * 
 * Pääohjelma Kerho-ohjelman käynnistämiseksi
 */
public class KerhoMain extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			//BorderPane root = (BorderPane)FXMLLoader.load(getClass().getResource("KerhoGUIView.fxml"));

		    final FXMLLoader ldr = new FXMLLoader(getClass().getResource("KerhoGUIView.fxml"));
		    final Pane root = ldr.load();
		    final KerhoGUIController kerhoCtrl = (KerhoGUIController)ldr.getController();
			
			Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("kerho.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Kerho");
			// TODO: kerho viitteen saaminen
			
			Kerho kerho = new Kerho();
			kerhoCtrl.setKerho(kerho);
			
			primaryStage.show();
			if ( !kerhoCtrl.avaa() ) Platform.exit();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
    /**
     * Käynnistetään käyttöliittymä 
     * @param args komentorivin parametrit
     */
	public static void main(String[] args) {
		launch(args);
	}
}
